---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab cluster agent`

Manage GitLab Agents for Kubernetes.

## Options

```plaintext
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```

## Subcommands

- [`bootstrap`](bootstrap.md)
- [`check_manifest_usage`](check_manifest_usage.md)
- [`get-token`](get-token.md)
- [`list`](list.md)
- [`update-kubeconfig`](update-kubeconfig.md)
